Bug 612874 - abrt-cli: Wrong settings were detected for plugin RHTSupport
Summary: abrt-cli: Wrong settings were detected for plugin RHTSupport
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: abrt   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Karel Klíč
QA Contact: Michal Nowak
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-09 09:49 UTC by Michal Nowak
Modified: 2013-03-08 02:10 UTC (History)
7 users (show)

Fixed In Version: abrt-1.1.9-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 19:33:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (400 bytes, patch)
2010-07-12 13:52 UTC, Karel Klíč
no flags Details | Diff

Description Michal Nowak 2010-07-09 09:49:15 UTC
Description of problem:

Try to report bug via abrt-cli with RHTSupport (python one in my case) and you'll see that it claims there are some wrong settings for RHTSupport plug-in.

Perhaps it's missing login/password options in RHTSupport.conf but they are not there by default.

newman@dhcp-lab-222 examples $ cat /etc/abrt/plugins/RHTSupport.conf 
Enabled = yes

newman@dhcp-lab-222 examples $ abrt-cli -r c397c021

No changes were detected in the report.
Report using Bugzilla? [y/N]: 
Skipping...
Report using Logger? [y/N]: 
Skipping...
Report using RHTSupport? [y/N]: y
Wrong settings were detected for plugin RHTSupport.
Enter your login: ^C

Version-Release number of selected component (if applicable):

abrt-1.1.8-2.el6.x86_64

How reproducible:

always

Expected results:

No such "warning".

Additional info:

abrtd: handle_dbus_fd(gio, condition:1 [bits:IN/PRI/OUT/ERR/HUP...], data)
abrtd: message_received(method:'CreateReport')
abrtd: add_timeout()
abrtd: remove_timeout()
abrtd: CreateCrashReport('c397c021',500,result)
abrtd: crash 'c397c021' is not in database
abrtd: Warning(':1.257'): crash 'c397c021' is not in database
abrtd: DBus message sent
abrtd: Can't find crash with id c397c021 in database
abrtd: Warning(':1.257'): Can't find crash with id c397c021 in database
abrtd: DBus message sent
abrtd: DBus message sent
abrtd: handle_dbus_fd(gio, condition:1 [bits:IN/PRI/OUT/ERR/HUP...], data)
abrtd: message_received(method:'GetCrashInfos')
abrtd: add_timeout()
abrtd: remove_timeout()
abrtd: Getting crash infos...
abrtd: 1 rows returned by SQL:SELECT * FROM abrt_v4 WHERE UID='500' OR InformAll=1;
abrtd: 1 rows returned by SQL:SELECT * FROM abrt_v4 WHERE UUID='c397c021' AND UID='500';
abrtd: Locked '/var/spool/abrt/pyhook-1278667500-5441.lock'
abrtd: UnLocked '/var/spool/abrt/pyhook-1278667500-5441.lock'
abrtd: DBus message sent
abrtd: FIONREAD:48
abrtd: handle_dbus_fd(gio, condition:1 [bits:IN/PRI/OUT/ERR/HUP...], data)
abrtd: message_received(method:'CreateReport')
abrtd: add_timeout()
abrtd: remove_timeout()
abrtd: CreateCrashReport('500:c397c021',500,result)
abrtd: 1 rows returned by SQL:SELECT * FROM abrt_v4 WHERE UUID='c397c021' AND UID='500';
abrtd: Locked '/var/spool/abrt/pyhook-1278667500-5441.lock'
abrtd: UnLocked '/var/spool/abrt/pyhook-1278667500-5441.lock'
abrtd: packageNVR wpa_supplicant-1:0.6.8-10.el6
abrtd:  run_analyser_CreateReport('Python')
abrtd: Locked '/var/spool/abrt/pyhook-1278667500-5441.lock'
abrtd: UnLocked '/var/spool/abrt/pyhook-1278667500-5441.lock'
abrtd: Locked '/var/spool/abrt/pyhook-1278667500-5441.lock'
abrtd: UnLocked '/var/spool/abrt/pyhook-1278667500-5441.lock'
abrtd:  DUPHASH:'c397c021'
abrtd:  RunAnalyzerActions('Python','wpa_supplicant','/var/spool/abrt/pyhook-1278667500-5441',force=0)
abrtd: didn't find action for Python:wpa_supplicant, trying just Python
abrtd:  DebugDumpToCrashReport('/var/spool/abrt/pyhook-1278667500-5441')
abrtd: Locked '/var/spool/abrt/pyhook-1278667500-5441.lock'
abrtd: UnLocked '/var/spool/abrt/pyhook-1278667500-5441.lock'
abrtd: CreateCrashReport() returns 0
abrtd: crashReport[DUPHASH]:t/n/'c397c021'
abrtd: crashReport[UUID]:s/n/'c397c021'
abrtd: crashReport[analyzer]:t/n/'Python'
abrtd: crashReport[architecture]:t/n/'x86_64'
abrtd: crashReport[backtrace]:t/y/'wpas-test.py:3:<modu'
abrtd: crashReport[cmdline]:t/n/'python /usr/share/do'
abrtd: crashReport[comment]:t/y/''
abrtd: crashReport[component]:t/n/'wpa_supplicant'
abrtd: crashReport[description]:t/y/'WPA/WPA2/IEEE 802.1X'
abrtd: crashReport[executable]:t/n/'/usr/share/doc/wpa_s'
abrtd: crashReport[hostname]:t/n/'dhcp-lab-222.englab.'
abrtd: crashReport[kernel]:t/n/'2.6.32-44.el6.x86_64'
abrtd: crashReport[package]:t/n/'wpa_supplicant-1:0.6'
abrtd: crashReport[rating]:t/n/'4'
abrtd: crashReport[reason]:t/n/'wpas-test.py:3:<modu'
abrtd: crashReport[release]:t/n/'Red Hat Enterprise L'
abrtd: crashReport[reproduce]:t/y/'1. 
2. 
3. 
'
abrtd: crashReport[sosreport.tar.xz]:b/n/'/var/spool/abrt/pyho'
abrtd: crashReport[time]:t/n/'1278667500'
abrtd: crashReport[uid]:t/n/'500'
abrtd: DBus message sent
abrtd: FIONREAD:48
abrtd: handle_dbus_fd(gio, condition:1 [bits:IN/PRI/OUT/ERR/HUP...], data)
abrtd: message_received(method:'GetSettings')
abrtd: DBus message sent
abrtd: handle_dbus_fd(gio, condition:1 [bits:IN/PRI/OUT/ERR/HUP...], data)
abrtd: message_received(method:'GetPluginsInfo')
abrtd: DBus message sent
abrtd: handle_dbus_fd(gio, condition:1 [bits:IN/PRI/OUT/ERR/HUP...], data)
abrtd: message_received(method:'GetPluginSettings')
abrtd: Returning settings for loaded plugin RHTSupport
abrtd: DBus message sent

Comment 2 Karel Klíč 2010-07-12 13:41:55 UTC
Actually, RHTSupport needs a login and password.

/etc/abrt/plugins/RHTSupport.conf should be extended to include such information.

Comment 3 Karel Klíč 2010-07-12 13:52:13 UTC
Created attachment 431184 [details]
Proposed patch

Comment 7 releng-rhel@redhat.com 2010-11-10 19:33:38 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.